ClassLoaderFactory.Repository (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: ClassLoaderFactory, record: Repository

# Record Class ClassLoaderFactory.Repository

java.lang.Object
java.lang.Record
org.apache.catalina.startup.ClassLoaderFactory.Repository

Enclosing class:
  `ClassLoaderFactory`

public static record ClassLoaderFactory.Repository(String location, ClassLoaderFactory.RepositoryType type) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Repository(String location, ClassLoaderFactory.RepositoryType type)`
  Creates an instance of a `Repository` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `location()`
  Returns the value of the `location` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `ClassLoaderFactory.RepositoryType`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Repository

    public Repository(String location, ClassLoaderFactory.RepositoryType type)
    Creates an instance of a `Repository` record class.
    Parameters:
      `location` - the value for the `location` record component
      `type` - the value for the `type` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### location

    public String location()
    Returns the value of the `location` record component.
    Returns:
      the value of the `location` record component

  - ### type

    public ClassLoaderFactory.RepositoryType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component